VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "VB-Sample Digistant 4422 mit RS 232"
   ClientHeight    =   3540
   ClientLeft      =   60
   ClientTop       =   360
   ClientWidth     =   5055
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3540
   ScaleWidth      =   5055
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.CommandButton cmdQuit 
      Caption         =   "Beenden"
      Height          =   375
      Left            =   1800
      TabIndex        =   7
      Top             =   3000
      Width           =   1335
   End
   Begin VB.TextBox txtMeasvalue 
      Enabled         =   0   'False
      Height          =   285
      Left            =   3000
      TabIndex        =   2
      Top             =   1920
      Width           =   1455
   End
   Begin VB.CommandButton cmdMeas 
      Caption         =   "Messwert einholen"
      Enabled         =   0   'False
      Height          =   495
      Left            =   600
      TabIndex        =   1
      Top             =   1680
      Width           =   1935
   End
   Begin VB.CommandButton cmdInit 
      Caption         =   "Initialisiere 4422"
      Height          =   495
      Left            =   600
      TabIndex        =   0
      Top             =   600
      Width           =   1935
   End
   Begin VB.Frame fraFrame 
      Caption         =   "Digistant 4422 Ansteuerung"
      Height          =   2655
      Left            =   240
      TabIndex        =   3
      Top             =   240
      Width           =   4575
      Begin VB.Label labCopyright 
         AutoSize        =   -1  'True
         Caption         =   "(C) 2003 burster przisionsmesstechnik gmbh & co kg"
         Height          =   195
         Left            =   360
         TabIndex        =   6
         Top             =   2160
         UseMnemonic     =   0   'False
         Width           =   3765
      End
      Begin VB.Label labMeasvalue 
         Caption         =   "Messwert:"
         Height          =   255
         Left            =   2760
         TabIndex        =   5
         Top             =   1440
         Width           =   1695
      End
      Begin VB.Label labNote 
         AutoSize        =   -1  'True
         Caption         =   "Einstellung: COM1, 9600 Baud, Blockcheck Aus"
         Height          =   195
         Left            =   360
         TabIndex        =   4
         Top             =   960
         Width           =   3435
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'************************************************************************************************************
'*   Programm Name  :   VB-Sample 4422          Programmiersprache:         Visual Basic
'*
'*   Entw.-umgebung :   Visual Basic 6          Betriebssystem:             Windows 2000 SP2
'*
'*   Programmwirkung:   Demonstration der Verwendung der Treiber-DLL bp4422 fr den Digistanten 4422.
'*                      Fr die freie Verwendung dieses Source-Codes geben wir keinerlei Gewhrleistung.
'*
'*   Modulwirkung   :   Hauptmodul
'*
'*
'*
'*   Erstellt       :   09.01.2003      von:    Thomas Meder        Version: V 1.0
'*
'*   gendert am    :   tt.mm.yyyy     von:                         in Version:
'*   nderungen     :
'*
'*
'*   Copyright by   :   burster przisionsmetechnik gmbh & co kg
'*                      Talstrasse 1-5
'*                      76587 Gernsbach
'*                      Tel.: 07224 / 645-0
'************************************************************************************************************
Option Explicit

'Diese Deklarationen mssen gemacht werden, falls die bp4422_32.dll nicht im Projektverweis enthalten ist!!!
'Private Declare Function bp4422_init Lib "bp4422_32.dll" (ByVal COMPort As Integer, ByVal baudRate As Integer, ByVal timeout_seconds As Double, ByVal blockCheck As Integer, ByVal groupAddress As Integer, ByVal userAddress As Integer, ByVal instrumentIDString As String, ByVal resetDevice As Integer, ByRef instrumentID As Integer) As Integer
'Private Declare Function bp4422_close Lib "bp4422_32.dll" (ByVal instrumentID As Integer) As Integer
'Private Declare Function bp4422_start_measure Lib "bp4422_32.dll" (ByVal instrumentID As Integer, ByVal MeasType As Integer) As Integer
'Private Declare Function bp4422_read_measure_string Lib "bp4422_32.dll" (ByVal instrumentID As Integer, ByVal Value As String) As Integer
'Private Declare Function bp4422_stop_measure Lib "bp4422_32.dll" (ByVal instrumentID As Integer) As Integer

'Modulglobale Variablen
Dim intError As Integer
Dim intInstrId As Integer
Dim strIdString As String


Private Sub cmdInit_Click()
'************************************************************************************************************
'*   Programm Name  :   VB-Sample 4422          Programmiersprache:     Visual Basic
'*
'*   Funktionswirkung:  Initialisieren der seriellen Schnittstelle.
'*
'*
'*
'*   Erstellt       :   01 / 2003      von:    Thomas Meder       Version: V 1.0
'*
'*   gendert am    :   tt.mm.yyyy     von:                    in Version:
'*   nderungen     :
'*
'*
'*   Copyright by   :   burster przisionsmetechnik gmbh & co kg
'*                      Talstrasse 1-5
'*                      76587 Gernsbach
'*                      Tel.: 07224 / 645-0
'************************************************************************************************************

'Stringvariable mit Leerzeichen fllen
strIdString = Space(50)

'Digistant 4422 mit folgender Einstellung initialisieren:
'COM1, 9600 Baud, Timeout 2s, Blockcheck Aus, Gruppen-/Benutzeradresse 0/0
intError = bp4422_init(1, 9600, 2, 0, 0, 0, strIdString, 0, intInstrId)
If intError <> 0 Then
    'Fehlermeldung, falls Fehler aufgetreten ist
    Call MsgBox("Fehler <" & intError & "> beim Initialisieren des Digistanten 4422 !", vbExclamation, "Fehler Initialisierung <bp4422_init>")
    'Button fr "Messwert einholen" sperren
    cmdMeas.Enabled = False
Else
    'Bei Erfolg den ID-String anzeigen
    Call MsgBox("Verbunden mit Digistant 4422: " & vbCrLf & strIdString, vbInformation, "Initialisierung Erfolgreich")
    'Button fr "Messwert einholen" freigeben
    cmdMeas.Enabled = True
End If

End Sub

Private Sub cmdMeas_Click()
'************************************************************************************************************
'*   Programm Name  :   VB-Sample 4422          Programmiersprache:     Visual Basic
'*
'*   Funktionswirkung:  Messung starten, Messwert lesen, Messung stoppen.
'*
'*
'*
'*   Erstellt       :   01 / 2003      von:    Thomas Meder       Version: V 1.0
'*
'*   gendert am    :   tt.mm.yyyy     von:                    in Version:
'*   nderungen     :
'*
'*
'*   Copyright by   :   burster przisionsmetechnik gmbh & co kg
'*                      Talstrasse 1-5
'*                      76587 Gernsbach
'*                      Tel.: 07224 / 645-0
'************************************************************************************************************
Dim strMeasvalue As String
Dim strFunction As String

'Stringvariable mit Leerzeichen fllen
strMeasvalue = Space(20)

'Mauszeiger Sanduhr
Screen.MousePointer = vbHourglass

DoEvents    'Systemevents

'Messung Starten (Spannung Messen)
intError = bp4422_start_measure(intInstrId, 0)
'Momentane Funktion merken
strFunction = "bp4422_start_measure"
'Falls Fehler auftritt oder die Messung bereits gestartet (300) ist
If intError <> 0 And intError <> 300 Then GoTo mkError  'Im Fehlerfalle zur Fehlersprungmarke springen

DoEvents    'Systemevents

'Messwert einlesen
intError = bp4422_read_measure_string(intInstrId, strMeasvalue)
'Momentane Funktion merken
strFunction = "bp4422_read_measure_string"
If intError <> 0 Then GoTo mkError  'Im Fehlerfalle zur Fehlersprungmarke springen

'Messung stoppen
intError = bp4422_stop_measure(intInstrId)
'Momentane Funktion merken
strFunction = "bp4422_stop_measure"
If intError <> 0 Then GoTo mkError  'Im Fehlerfalle zur Fehlersprungmarke springen

'Messwertestring auf dem Hauptdialog anzeigen
txtMeasvalue = strMeasvalue

'Normaler Mauszeiger
Screen.MousePointer = 0

Exit Sub

mkError:
    'Normaler Mauszeiger
    Screen.MousePointer = 0
    'Fehlermeldung und Fehlernummer ausgeben
    Call MsgBox("Fehler <" & intError & "> in Funktion <" & strFunction & "> aufgetreten !", vbExclamation, "Fehler bei Messung")

End Sub


Private Sub Form_Unload(Cancel As Integer)
'************************************************************************************************************
'*   Programm Name  :   VB-Sample 4422          Programmiersprache:     Visual Basic
'*
'*   Funktionswirkung:  Schliessen der seriellen Schnittstelle, falls geffnet.
'*
'*
'*
'*   Erstellt       :   01 / 2003      von:    Thomas Meder       Version: V 1.0
'*
'*   gendert am    :   tt.mm.yyyy     von:                    in Version:
'*   nderungen     :
'*
'*
'*   Copyright by   :   burster przisionsmetechnik gmbh & co kg
'*                      Talstrasse 1-5
'*                      76587 Gernsbach
'*                      Tel.: 07224 / 645-0
'************************************************************************************************************

If intInstrId >= 1 Then                     'Falls ein Gert initialisiert wurde
    intError = bp4422_close(intInstrId)     'Schnittstelle wieder schliessen
    If intError <> 0 Then                   'Im Fehlerfall Meldung anzeigen
        Call MsgBox("Fehler <" & intError & "> beim Schliessen der Schnittstelle !", vbExclamation, "Fehler Schnittstelle schliessen <bp4422_close>")
    Else                                    'Erfolgsmeldung anzeigen
        Call MsgBox("Schnittstelle zum Digistant 4422 wurde geschlossen !", vbInformation, "Schnittstelle geschlossen")
    End If
End If

End Sub


Private Sub cmdQuit_Click()
'************************************************************************************************************
'*   Programm Name  :   VB-Sample 4422          Programmiersprache:     Visual Basic
'*
'*   Funktionswirkung:  Schliessen des Programms.
'*
'*
'*
'*   Erstellt       :   01 / 2003      von:    Thomas Meder       Version: V 1.0
'*
'*   gendert am    :   tt.mm.yyyy     von:                    in Version:
'*   nderungen     :
'*
'*
'*   Copyright by   :   burster przisionsmetechnik gmbh & co kg
'*                      Talstrasse 1-5
'*                      76587 Gernsbach
'*                      Tel.: 07224 / 645-0
'************************************************************************************************************
Unload Me
End Sub

